BitronixTransactionSynchronizationRegistry (Bitronix Transaction Manager :: Core 2.1.4 API)
Date: 2013-09-15

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## bitronix.tm
Class BitronixTransactionSynchronizationRegistry

    java.lang.Object
      bitronix.tm.BitronixTransactionSynchronizationRegistry

All Implemented Interfaces:
  Referenceable, TransactionSynchronizationRegistry

    public class BitronixTransactionSynchronizationRegistry

extends Object
implements TransactionSynchronizationRegistry, Referenceable

Implementation of JTA 1.1 `TransactionSynchronizationRegistry`.

Author:
  lorban

Constructor Summary
`BitronixTransactionSynchronizationRegistry()`

Method Summary
`Reference` | `getReference()`
`Object` | `getResource(Object key)`
`boolean` | `getRollbackOnly()`
`Object` | `getTransactionKey()`
`int` | `getTransactionStatus()`
`void` | `putResource(Object key, Object value)`
`void` | `registerInterposedSynchronization(Synchronization synchronization)`
`void` | `setRollbackOnly()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BitronixTransactionSynchronizationRegistry

    public BitronixTransactionSynchronizationRegistry()

Method Detail

### getResource

    public Object getResource(Object key)

  Specified by:
    `getResource` in interface `TransactionSynchronizationRegistry`

### getRollbackOnly

    public boolean getRollbackOnly()

  Specified by:
    `getRollbackOnly` in interface `TransactionSynchronizationRegistry`

### getTransactionKey

    public Object getTransactionKey()

  Specified by:
    `getTransactionKey` in interface `TransactionSynchronizationRegistry`

### getTransactionStatus

    public int getTransactionStatus()

  Specified by:
    `getTransactionStatus` in interface `TransactionSynchronizationRegistry`

### putResource

    public void putResource(Object key,
                            Object value)

  Specified by:
    `putResource` in interface `TransactionSynchronizationRegistry`

### registerInterposedSynchronization

    public void registerInterposedSynchronization(Synchronization synchronization)

  Specified by:
    `registerInterposedSynchronization` in interface `TransactionSynchronizationRegistry`

### setRollbackOnly

    public void setRollbackOnly()

  Specified by:
    `setRollbackOnly` in interface `TransactionSynchronizationRegistry`

### getReference

    public Reference getReference()
                           throws NamingException

  Specified by:
    `getReference` in interface `Referenceable`
  Throws:
    `NamingException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Bitronix Software. All Rights Reserved.